/**
 * The main Sernatur namespace
 */
namespace Sernatur {
	/**
	 * The application class
	 */
	public class Application : global::Gtk.Application {
		/**
		 * The main application window
		 */
		private MainWindow window;

		/**
		 * Initialize the application
		 */
		public Application () {
			application_id = "cl.cromer.ubb.sernatur";
		}

		/**
		 * Run when the application is activated
		 */
		public override void activate () {
			window = new MainWindow (this);
			window.present ();
		}

		/**
		 * Run when the application starts
		 */
		public override void startup () {
			Intl.textdomain ("sernatur");
			Intl.setlocale (LocaleCategory.ALL, "");
			base.startup ();
		}
	}

	/**
	 * The main function
	 * @param args Arguments passed from the command line
	 */
	public static int main (string[] args) {
		var application = new Application ();
		return application.run (args);
	}
}
